generate pdf
curl --request POST \
--url https://sbx.api.easybilling.cloud/billing/template-engine/api/pdf/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectType": "invoice",
"objectId": "ed0633b2-b1b5-4c0e-98a2-0912483e7eda",
"templateId": "{{template_id}}",
"name": "INV-000000049"
}
'import requests
url = "https://sbx.api.easybilling.cloud/billing/template-engine/api/pdf/generate"
payload = {
"objectType": "invoice",
"objectId": "ed0633b2-b1b5-4c0e-98a2-0912483e7eda",
"templateId": "{{template_id}}",
"name": "INV-000000049"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
objectType: 'invoice',
objectId: 'ed0633b2-b1b5-4c0e-98a2-0912483e7eda',
templateId: '{{template_id}}',
name: 'INV-000000049'
})
};
fetch('https://sbx.api.easybilling.cloud/billing/template-engine/api/pdf/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"<string>"
]invoice pdf
generate pdf
POST
/
template-engine
/
api
/
pdf
/
generate
generate pdf
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
200 - application/json
⌘I
